ReportsRun Report

Run Report

Run an aggregate + time-series delivery report for a date range, with optional filtering by advertiser, campaign, creative, content, and targeting dimension. The response is capped at 1,440 time-series data points, so the selected range must not exceed granularity * 1440 minutes.

curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/reports" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "from": "2026-01-01",
  "to": "2026-01-31",
  "granularity": 60,
  "advertiser_ids": [
    "example_string"
  ],
  "campaign_ids": [
    "example_string"
  ],
  "creative_ids": [
    "example_string"
  ],
  "content_ids": [
    "example_string"
  ],
  "content_tags": [
    "example_string"
  ],
  "campaign_categories": [
    42
  ],
  "categories": [
    42
  ],
  "placements": [
    "example_string"
  ],
  "devices": [
    42
  ],
  "languages": [
    "example_string"
  ],
  "oses": [
    "example_string"
  ],
  "browsers": [
    "example_string"
  ],
  "fill_statuses": [
    "full"
  ],
  "break_positions": [
    42
  ],
  "break_ids": [
    "example_string"
  ],
  "transaction_ids": [
    "example_string"
  ],
  "continent_geoname_ids": [
    123
  ],
  "country_geoname_ids": [
    123
  ],
  "subdivision_1_geoname_ids": [
    123
  ],
  "subdivision_2_geoname_ids": [
    123
  ],
  "city_geoname_ids": [
    123
  ]
}'
{
  "result": "success",
  "data": {
    "summary": {
      "ad_requests": 128430,
      "filled_requests": 112230,
      "fill_rate": 87.4,
      "impressions": 96210,
      "starts": 95800,
      "first_quartiles": 91000,
      "midpoints": 85000,
      "third_quartiles": 78000,
      "completes": 68500,
      "completion_rate": 71.2,
      "clicks": 1230,
      "ctr": 1.28,
      "spend_micros": 481050000,
      "ecpm_micros": 5000000,
      "errors": 12,
      "from": "2026-01-01T00:00:00",
      "to": "2026-01-31T00:00:00"
    },
    "data": [
      {
        "time": "2026-01-15T10:00:00Z",
        "ad_requests": 512,
        "fill_rate": 88.1,
        "impressions": 451,
        "clicks": 6,
        "ctr": 1.33,
        "completes": 320,
        "completion_rate": 71,
        "spend_micros": 2255000,
        "ecpm_micros": 5000000,
        "errors": 1
      }
    ]
  }
}
POST
/ad-manager/{pid}/reports
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101

Responses

resultstring

Operation outcome.

Allowed values:successerror
datastring